/*--------------------------------------------------------------*/
// Author: 		F. de la Parra
// Description: This program displays on the console any string
// 				parameters passed to program "MsgEcho".
/*--------------------------------------------------------------*/

// Declaration of class "MsgEcho".
public class MsgEcho {
	
	// Program entry point: "main" method.
	public static void main(String[] args) {
		
		// array "args" contains a list of strings passed to "MsgEcho".
		// "for" loop prints all these arguments, separated by one blank.
		/* Note: the statement "i == 0 ? args[i] : " " + args[i]" says:
				 if i is equal 0 then evaluate to --> args[i]
				 else evaluate to --> " " + args[i]                  */
		for (int i = 0; i < args.length; i++)
			System.out.print(i == 0 ? args[i] : " " + args[i]);
		
			// After displaying the parameter do "new line".
			System.out.println();
		}
} 