/*--------------------------------------------------------------------*/
// Author: 		F. de la Parra
// Description: This program displays the sentence "Hello World",
//				followed by the current date in the format yyyy-mm-dd.
/* -------------------------------------------------------------------*/

/* This "import" statement makes class "LocalDate", in package "java.time",
   accessible in class "HelloWorld" */
import java.time.LocalDate; 

// Declare the body of class "HelloWorld" (i.e., the "program")
public class HelloWorld {
	
	// Main method of class HelloWorld. Program entry point.
	public static void main(String[] args) {

		/* Note: Class "System", in package "java.lang" is
				 automatically imported by the Java compiler */
		// Display string of characters "Hello world" on the console.
		System.out.println("Hello world"); 		  
		
		// Display current local date on the console
		System.out.println("Current local date: " + LocalDate.now());

	}
	
} 