/*--------------------------------------------------------------*/
// Author: 		F. de la Parra
// Description: This program displays a greeting using a person's
// 				last name (just one word) passed as a parameter.
/*--------------------------------------------------------------*/

public class MsgName {
	// Class field "title" hold a title.
	private static String title = "Mr.";
	
	// Class method "fullName" composes the greeting.
	public static String fullName(String lName) {
		String full = "Hello " + title + " " + lName;
		return full;
	}
	
	// "main" method displays the greeting by calling the
	// "println" method and local method "fullName".
	public static void main(String[] args) {
		System.out.println(fullName(args[0]));	
	}
}